import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 850;
const height = 455;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 10;
const eyeOffsetX = 110;
const eyeOffsetY = 50;
const eyebrowYOffset = -50;
const eyeRadius = 35;
const mouthWidth = 30;
const mouthRadius = 50;

//creation of mouth
const mouthArc = arc()
	.innerRadius(-mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(26)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

//creation of ear arc
const earArc = d3.arc()
    .innerRadius(1)
    .outerRadius(90)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 3}
        fill="white"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="grey" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="5" //border width of eye
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="grey" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="5" //border width of eye
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius}
        fill = "black" //file the ellipse color
        stroke = "black" //borrder color of ellipse
      	transform = "rotate(-90  )"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(10)    translate(-120,-70)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-10)    translate(120,-70)"
        fill = "black"
      />
    	<path 
        d = {earArc()} 
        transform = "rotate(50) translate(10,-215)"
        fill = "black"
      />
      <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(10,-215)"
        fill = "black"
      />
  		<path d={mouthArc()}
    		transform = "translate(-6,60)"
        stroke = "black"
      	fill = "grey"
      />
   
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);